package top.awinx.stu01.service;

import com.baomidou.mybatisplus.extension.service.IService;
import top.awinx.stu01.dto.TeacherAddDTO;
import top.awinx.stu01.dto.TeacherUpdateDTO;
import top.awinx.stu01.entity.Teacher;

/**
 * 教师Service接口
 */
public interface TeacherService extends IService<Teacher> {
    /**
     * 添加教师
     */
    Teacher addTeacher(TeacherAddDTO addDTO);

    /**
     * 更新教师
     */
    boolean updateTeacher(TeacherUpdateDTO updateDTO);

    /**
     * 删除教师
     */
    boolean deleteTeacher(Long id);
}
